
From: Dominik Brodowski <linux@dominikbrodowski.net>

Add pcmcia_device_id table.

Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/pcmcia/ibmtr_cs.c |    8 ++++++++
 1 files changed, 8 insertions(+)

diff -puN drivers/net/pcmcia/ibmtr_cs.c~pcmcia-id_table-for-ibmtr_cs drivers/net/pcmcia/ibmtr_cs.c
--- 25/drivers/net/pcmcia/ibmtr_cs.c~pcmcia-id_table-for-ibmtr_cs	2005-02-28 15:48:45.000000000 -0800
+++ 25-akpm/drivers/net/pcmcia/ibmtr_cs.c	2005-02-28 15:48:45.000000000 -0800
@@ -511,6 +511,13 @@ static void ibmtr_hw_setup(struct net_de
     return;
 }
 
+static struct pcmcia_device_id ibmtr_ids[] = {
+	PCMCIA_DEVICE_PROD_ID12("3Com", "TokenLink Velocity PC Card", 0x41240e5b, 0x82c3734e),
+	PCMCIA_DEVICE_PROD_ID12("IBM", "TOKEN RING", 0xb569a6e5, 0xbf8eed47),
+	PCMCIA_DEVICE_NULL,
+};
+MODULE_DEVICE_TABLE(pcmcia, ibmtr_ids);
+
 static struct pcmcia_driver ibmtr_cs_driver = {
 	.owner		= THIS_MODULE,
 	.drv		= {
@@ -518,6 +525,7 @@ static struct pcmcia_driver ibmtr_cs_dri
 	},
 	.attach		= ibmtr_attach,
 	.detach		= ibmtr_detach,
+	.id_table       = ibmtr_ids,
 };
 
 static int __init init_ibmtr_cs(void)
_
